public class tstServiceImpl implements tstService {
  private tstEvent gevent;
  public void addTstEventListener(tstEvent event) { gevent = event; }
  public void invokeTstListener(int value) { gevent.processEvent(new tstListenerImpl(value)); }
} 
